STOFFSpreadsheetEncoder Class Referencefinal

main class used to define store librevenge::RVNGSpreadsheetInterface lists of command in a librevenge::RVNGBinaryData. More...

`#include <STOFFSpreadsheetEncoder.hxx>`

Inheritance diagram for STOFFSpreadsheetEncoder:

## Public Member Functions

| STOFFSpreadsheetEncoder ()
| constructor
| ~STOFFSpreadsheetEncoder () final
| destructor
bool | getBinaryResult (STOFFEmbeddedObject &object)
| return the final spreadsheet
void | setDocumentMetaData (const librevenge::RVNGPropertyList &propList) final
void | startDocument (const librevenge::RVNGPropertyList &propList) final
void | endDocument () final
void | definePageStyle (const librevenge::RVNGPropertyList &propList) final
void | defineEmbeddedFont (const librevenge::RVNGPropertyList &propList) final
void | openPageSpan (const librevenge::RVNGPropertyList &propList) final
void | closePageSpan () final
void | openHeader (const librevenge::RVNGPropertyList &propList) final
void | closeHeader () final
void | openFooter (const librevenge::RVNGPropertyList &propList) final
void | closeFooter () final
void | defineSheetNumberingStyle (const librevenge::RVNGPropertyList &propList) final
void | openSheet (const librevenge::RVNGPropertyList &propList) final
void | closeSheet () final
void | openSheetRow (const librevenge::RVNGPropertyList &propList) final
void | closeSheetRow () final
void | openSheetCell (const librevenge::RVNGPropertyList &propList) final
void | closeSheetCell () final
void | defineChartStyle (const librevenge::RVNGPropertyList &propList) final
void | openChart (const librevenge::RVNGPropertyList &propList) final
void | closeChart () final
void | openChartTextObject (const librevenge::RVNGPropertyList &propList) final
void | closeChartTextObject () final
void | openChartPlotArea (const librevenge::RVNGPropertyList &propList) final
void | closeChartPlotArea () final
void | insertChartAxis (const librevenge::RVNGPropertyList &axis) final
void | openChartSerie (const librevenge::RVNGPropertyList &series) final
void | closeChartSerie () final
void | defineParagraphStyle (const librevenge::RVNGPropertyList &propList) final
void | openParagraph (const librevenge::RVNGPropertyList &propList) final
void | closeParagraph () final
void | defineCharacterStyle (const librevenge::RVNGPropertyList &propList) final
void | openSpan (const librevenge::RVNGPropertyList &propList) final
void | closeSpan () final
void | openLink (const librevenge::RVNGPropertyList &propList) final
void | closeLink () final
void | defineSectionStyle (const librevenge::RVNGPropertyList &propList) final
void | openSection (const librevenge::RVNGPropertyList &propList) final
void | closeSection () final
void | insertTab () final
void | insertSpace () final
void | insertText (const librevenge::RVNGString &text) final
void | insertLineBreak () final
void | insertField (const librevenge::RVNGPropertyList &propList) final
void | openOrderedListLevel (const librevenge::RVNGPropertyList &propList) final
void | openUnorderedListLevel (const librevenge::RVNGPropertyList &propList) final
void | closeOrderedListLevel () final
void | closeUnorderedListLevel () final
void | openListElement (const librevenge::RVNGPropertyList &propList) final
void | closeListElement () final
void | openFootnote (const librevenge::RVNGPropertyList &propList) final
void | closeFootnote () final
void | openComment (const librevenge::RVNGPropertyList &propList) final
void | closeComment () final
void | openFrame (const librevenge::RVNGPropertyList &propList) final
void | closeFrame () final
void | insertBinaryObject (const librevenge::RVNGPropertyList &propList) final
void | openTextBox (const librevenge::RVNGPropertyList &propList) final
void | closeTextBox () final
void | openTable (const librevenge::RVNGPropertyList &propList) final
void | closeTable () final
void | openTableRow (const librevenge::RVNGPropertyList &propList) final
void | closeTableRow () final
void | openTableCell (const librevenge::RVNGPropertyList &propList) final
void | closeTableCell () final
void | insertCoveredTableCell (const librevenge::RVNGPropertyList &propList) final
void | openGroup (const librevenge::RVNGPropertyList &propList) final
void | closeGroup () final
void | defineGraphicStyle (const librevenge::RVNGPropertyList &propList) final
void | drawRectangle (const librevenge::RVNGPropertyList &propList) final
void | drawEllipse (const librevenge::RVNGPropertyList &propList) final
void | drawPolygon (const librevenge::RVNGPropertyList &propList) final
void | drawPolyline (const librevenge::RVNGPropertyList &propList) final
void | drawPath (const librevenge::RVNGPropertyList &propList) final
void | drawConnector (const ::librevenge::RVNGPropertyList &propList) final
void | insertEquation (const librevenge::RVNGPropertyList &propList) final

## Protected Attributes

std::shared_ptr< STOFFSpreadsheetEncoderInternal::State > | m_state
| the actual state

## Detailed Description

main class used to define store librevenge::RVNGSpreadsheetInterface lists of command in a librevenge::RVNGBinaryData.

See also
  STOFFSpreadsheetDecoder can be used to decode back the spreadsheet...

      \note as this class implements the functions librevenge::RVNGSpreadsheetInterface,

  the documentation is not duplicated..

## Constructor & Destructor Documentation

## STOFFSpreadsheetEncoder()

STOFFSpreadsheetEncoder::STOFFSpreadsheetEncoder | ( |  | ) |

constructor

## ~STOFFSpreadsheetEncoder()

STOFFSpreadsheetEncoder::~STOFFSpreadsheetEncoder | ( |  | ) |

final

destructor

## Member Function Documentation

## closeChart()

void STOFFSpreadsheetEncoder::closeChart | ( |  | ) |

final

## closeChartPlotArea()

void STOFFSpreadsheetEncoder::closeChartPlotArea | ( |  | ) |

final

## closeChartSerie()

void STOFFSpreadsheetEncoder::closeChartSerie | ( |  | ) |

final

## closeChartTextObject()

void STOFFSpreadsheetEncoder::closeChartTextObject | ( |  | ) |

final

## closeComment()

void STOFFSpreadsheetEncoder::closeComment | ( |  | ) |

final

## closeFooter()

void STOFFSpreadsheetEncoder::closeFooter | ( |  | ) |

final

## closeFootnote()

void STOFFSpreadsheetEncoder::closeFootnote | ( |  | ) |

final

## closeFrame()

void STOFFSpreadsheetEncoder::closeFrame | ( |  | ) |

final

## closeGroup()

void STOFFSpreadsheetEncoder::closeGroup | ( |  | ) |

final

## closeHeader()

void STOFFSpreadsheetEncoder::closeHeader | ( |  | ) |

final

## closeLink()

void STOFFSpreadsheetEncoder::closeLink | ( |  | ) |

final

## closeListElement()

void STOFFSpreadsheetEncoder::closeListElement | ( |  | ) |

final

## closeOrderedListLevel()

void STOFFSpreadsheetEncoder::closeOrderedListLevel | ( |  | ) |

final

## closePageSpan()

void STOFFSpreadsheetEncoder::closePageSpan | ( |  | ) |

final

## closeParagraph()

void STOFFSpreadsheetEncoder::closeParagraph | ( |  | ) |

final

## closeSection()

void STOFFSpreadsheetEncoder::closeSection | ( |  | ) |

final

## closeSheet()

void STOFFSpreadsheetEncoder::closeSheet | ( |  | ) |

final

## closeSheetCell()

void STOFFSpreadsheetEncoder::closeSheetCell | ( |  | ) |

final

## closeSheetRow()

void STOFFSpreadsheetEncoder::closeSheetRow | ( |  | ) |

final

## closeSpan()

void STOFFSpreadsheetEncoder::closeSpan | ( |  | ) |

final

## closeTable()

void STOFFSpreadsheetEncoder::closeTable | ( |  | ) |

final

## closeTableCell()

void STOFFSpreadsheetEncoder::closeTableCell | ( |  | ) |

final

## closeTableRow()

void STOFFSpreadsheetEncoder::closeTableRow | ( |  | ) |

final

## closeTextBox()

void STOFFSpreadsheetEncoder::closeTextBox | ( |  | ) |

final

## closeUnorderedListLevel()

void STOFFSpreadsheetEncoder::closeUnorderedListLevel | ( |  | ) |

final

## defineCharacterStyle()

void STOFFSpreadsheetEncoder::defineCharacterStyle | ( | const librevenge::RVNGPropertyList & | propList | ) |

final

## defineChartStyle()

void STOFFSpreadsheetEncoder::defineChartStyle | ( | const librevenge::RVNGPropertyList & | propList | ) |

final

## defineEmbeddedFont()

void STOFFSpreadsheetEncoder::defineEmbeddedFont | ( | const librevenge::RVNGPropertyList & | propList | ) |

final

## defineGraphicStyle()

void STOFFSpreadsheetEncoder::defineGraphicStyle | ( | const librevenge::RVNGPropertyList & | propList | ) |

final

## definePageStyle()

void STOFFSpreadsheetEncoder::definePageStyle | ( | const librevenge::RVNGPropertyList & | propList | ) |

final

## defineParagraphStyle()

void STOFFSpreadsheetEncoder::defineParagraphStyle | ( | const librevenge::RVNGPropertyList & | propList | ) |

final

## defineSectionStyle()

void STOFFSpreadsheetEncoder::defineSectionStyle | ( | const librevenge::RVNGPropertyList & | propList | ) |

final

## defineSheetNumberingStyle()

void STOFFSpreadsheetEncoder::defineSheetNumberingStyle | ( | const librevenge::RVNGPropertyList & | propList | ) |

final

## drawConnector()

void STOFFSpreadsheetEncoder::drawConnector | ( | const ::librevenge::RVNGPropertyList & | propList | ) |

final

## drawEllipse()

void STOFFSpreadsheetEncoder::drawEllipse | ( | const librevenge::RVNGPropertyList & | propList | ) |

final

## drawPath()

void STOFFSpreadsheetEncoder::drawPath | ( | const librevenge::RVNGPropertyList & | propList | ) |

final

## drawPolygon()

void STOFFSpreadsheetEncoder::drawPolygon | ( | const librevenge::RVNGPropertyList & | propList | ) |

final

## drawPolyline()

void STOFFSpreadsheetEncoder::drawPolyline | ( | const librevenge::RVNGPropertyList & | propList | ) |

final

## drawRectangle()

void STOFFSpreadsheetEncoder::drawRectangle | ( | const librevenge::RVNGPropertyList & | propList | ) |

final

## endDocument()

void STOFFSpreadsheetEncoder::endDocument | ( |  | ) |

final

## getBinaryResult()

bool STOFFSpreadsheetEncoder::getBinaryResult | ( | STOFFEmbeddedObject & | object | ) |

return the final spreadsheet

Referenced by StarFileManager::readOLEDirectory().

## insertBinaryObject()

void STOFFSpreadsheetEncoder::insertBinaryObject | ( | const librevenge::RVNGPropertyList & | propList | ) |

final

## insertChartAxis()

void STOFFSpreadsheetEncoder::insertChartAxis | ( | const librevenge::RVNGPropertyList & | axis | ) |

final

## insertCoveredTableCell()

void STOFFSpreadsheetEncoder::insertCoveredTableCell | ( | const librevenge::RVNGPropertyList & | propList | ) |

final

## insertEquation()

void STOFFSpreadsheetEncoder::insertEquation | ( | const librevenge::RVNGPropertyList & | propList | ) |

final

## insertField()

void STOFFSpreadsheetEncoder::insertField | ( | const librevenge::RVNGPropertyList & | propList | ) |

final

## insertLineBreak()

void STOFFSpreadsheetEncoder::insertLineBreak | ( |  | ) |

final

## insertSpace()

void STOFFSpreadsheetEncoder::insertSpace | ( |  | ) |

final

## insertTab()

void STOFFSpreadsheetEncoder::insertTab | ( |  | ) |

final

## insertText()

void STOFFSpreadsheetEncoder::insertText | ( | const librevenge::RVNGString & | text | ) |

final

## openChart()

void STOFFSpreadsheetEncoder::openChart | ( | const librevenge::RVNGPropertyList & | propList | ) |

final

## openChartPlotArea()

void STOFFSpreadsheetEncoder::openChartPlotArea | ( | const librevenge::RVNGPropertyList & | propList | ) |

final

## openChartSerie()

void STOFFSpreadsheetEncoder::openChartSerie | ( | const librevenge::RVNGPropertyList & | series | ) |

final

## openChartTextObject()

void STOFFSpreadsheetEncoder::openChartTextObject | ( | const librevenge::RVNGPropertyList & | propList | ) |

final

## openComment()

void STOFFSpreadsheetEncoder::openComment | ( | const librevenge::RVNGPropertyList & | propList | ) |

final

## openFooter()

void STOFFSpreadsheetEncoder::openFooter | ( | const librevenge::RVNGPropertyList & | propList | ) |

final

## openFootnote()

void STOFFSpreadsheetEncoder::openFootnote | ( | const librevenge::RVNGPropertyList & | propList | ) |

final

## openFrame()

void STOFFSpreadsheetEncoder::openFrame | ( | const librevenge::RVNGPropertyList & | propList | ) |

final

## openGroup()

void STOFFSpreadsheetEncoder::openGroup | ( | const librevenge::RVNGPropertyList & | propList | ) |

final

## openHeader()

void STOFFSpreadsheetEncoder::openHeader | ( | const librevenge::RVNGPropertyList & | propList | ) |

final

## openLink()

void STOFFSpreadsheetEncoder::openLink | ( | const librevenge::RVNGPropertyList & | propList | ) |

final

## openListElement()

void STOFFSpreadsheetEncoder::openListElement | ( | const librevenge::RVNGPropertyList & | propList | ) |

final

## openOrderedListLevel()

void STOFFSpreadsheetEncoder::openOrderedListLevel | ( | const librevenge::RVNGPropertyList & | propList | ) |

final

## openPageSpan()

void STOFFSpreadsheetEncoder::openPageSpan | ( | const librevenge::RVNGPropertyList & | propList | ) |

final

## openParagraph()

void STOFFSpreadsheetEncoder::openParagraph | ( | const librevenge::RVNGPropertyList & | propList | ) |

final

## openSection()

void STOFFSpreadsheetEncoder::openSection | ( | const librevenge::RVNGPropertyList & | propList | ) |

final

## openSheet()

void STOFFSpreadsheetEncoder::openSheet | ( | const librevenge::RVNGPropertyList & | propList | ) |

final

## openSheetCell()

void STOFFSpreadsheetEncoder::openSheetCell | ( | const librevenge::RVNGPropertyList & | propList | ) |

final

## openSheetRow()

void STOFFSpreadsheetEncoder::openSheetRow | ( | const librevenge::RVNGPropertyList & | propList | ) |

final

## openSpan()

void STOFFSpreadsheetEncoder::openSpan | ( | const librevenge::RVNGPropertyList & | propList | ) |

final

## openTable()

void STOFFSpreadsheetEncoder::openTable | ( | const librevenge::RVNGPropertyList & | propList | ) |

final

## openTableCell()

void STOFFSpreadsheetEncoder::openTableCell | ( | const librevenge::RVNGPropertyList & | propList | ) |

final

## openTableRow()

void STOFFSpreadsheetEncoder::openTableRow | ( | const librevenge::RVNGPropertyList & | propList | ) |

final

## openTextBox()

void STOFFSpreadsheetEncoder::openTextBox | ( | const librevenge::RVNGPropertyList & | propList | ) |

final

## openUnorderedListLevel()

void STOFFSpreadsheetEncoder::openUnorderedListLevel | ( | const librevenge::RVNGPropertyList & | propList | ) |

final

## setDocumentMetaData()

void STOFFSpreadsheetEncoder::setDocumentMetaData | ( | const librevenge::RVNGPropertyList & | propList | ) |

final

## startDocument()

void STOFFSpreadsheetEncoder::startDocument | ( | const librevenge::RVNGPropertyList & | propList | ) |

final

## Member Data Documentation

## m_state

std::shared_ptr<STOFFSpreadsheetEncoderInternal::State> STOFFSpreadsheetEncoder::m_state

protected

the actual state

Referenced by closeChart(), closeChartPlotArea(), closeChartSerie(), closeChartTextObject(), closeComment(), closeFooter(), closeFootnote(), closeFrame(), closeGroup(), closeHeader(), closeLink(), closeListElement(), closeOrderedListLevel(), closePageSpan(), closeParagraph(), closeSection(), closeSheet(), closeSheetCell(), closeSheetRow(), closeSpan(), closeTable(), closeTableCell(), closeTableRow(), closeTextBox(), closeUnorderedListLevel(), defineCharacterStyle(), defineChartStyle(), defineEmbeddedFont(), defineGraphicStyle(), definePageStyle(), defineParagraphStyle(), defineSectionStyle(), defineSheetNumberingStyle(), drawConnector(), drawEllipse(), drawPath(), drawPolygon(), drawPolyline(), drawRectangle(), endDocument(), getBinaryResult(), insertBinaryObject(), insertChartAxis(), insertCoveredTableCell(), insertEquation(), insertField(), insertLineBreak(), insertSpace(), insertTab(), insertText(), openChart(), openChartPlotArea(), openChartSerie(), openChartTextObject(), openComment(), openFooter(), openFootnote(), openFrame(), openGroup(), openHeader(), openLink(), openListElement(), openOrderedListLevel(), openPageSpan(), openParagraph(), openSection(), openSheet(), openSheetCell(), openSheetRow(), openSpan(), openTable(), openTableCell(), openTableRow(), openTextBox(), openUnorderedListLevel(), setDocumentMetaData(), startDocument(), and STOFFSpreadsheetEncoder().

The documentation for this class was generated from the following files:

- STOFFSpreadsheetEncoder.hxx
- STOFFSpreadsheetEncoder.cxx